ロール機能はプランの対象外です

Moses Skodaエンジニア読了目安 1分

APIは、このエラーを402 Payment Requiredで返します。typeはhttps://lingo.dev/docs/api/errors/rbac-disabledです。すべてのエラーに共通する構造については、エラーとステータスコードをご覧ください。

組織<organizationId>でロールベースのアクセス制御が利用可能になるまで、ロールは管理できません。現在、すべてのメンバーに同じアクセス権が付与されています。ロールを管理するには、プランをアップグレードしてください。

フィールド#

レスポンス本文には、標準のメンバーであるtype、status、title、detailに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストを表示することもできます。

フィールド型
organizationIdstring

例#

json
{
  "detail": "Roles cannot be managed until organization <organizationId> holds the role-based access control entitlement. Every member currently carries the same access. Upgrade the plan to manage roles.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/rbac-disabled",
  "status": 402,
  "title": "Roles not in plan"
}

このエラーを返すエンドポイント#

  • DELETE /v2/roles/{id}
  • GET /v2/organizations/{orgId}/audit-events
  • GET /v2/organizations/{orgId}/audit-events/{eventId}
  • PATCH /v2/invites/{id}
  • PATCH /v2/organizations/{orgId}/members/{userId}
  • PATCH /v2/roles/{id}
  • PATCH /v2/service-api-keys/{id}
  • POST /v2/organizations/{orgId}/invites
  • POST /v2/organizations/{orgId}/roles
  • POST /v2/organizations/{orgId}/service-api-keys
  • POST /v2/organizations/{orgId}/service-api-keys/scim
  • PUT /v2/service-api-keys/{id}/content-scope
  • PUT /v2/service-api-keys/{id}/engines